
Core - Feature # 19992

Status: Closed Priority: Should have
Author: Daniel Krupke Category: Extension Manager
Created: 2009-02-10 Assigned To:
Updated: 2015-01-08 Due date:
PHP Version: 4.3
Complexity: medium
Sprint Focus:
Subject: Check for Extension Updates: Update Information should be written to sys_log
Description

If you install/remove an extension this is always logged to sys_log table. Example: "Extension list has been changed, extension xyz
has been removed/installed."

IMHO this functionality should also be provided for extension updates in Extension Manager. This would be a great feature to follow
the update history.

The log entry could be saved like this: "Extension xyz has been updated/changed from version 1.0.0 to version 1.2.5."

(issue imported from #M10398)

History
#1 - 2009-06-06 21:55 - Jonas Felix

This realy should be logged...

#2 - 2009-06-06 22:01 - Jonas Felix

I could not found any sys_log insert calls in the em/ module. Where does the extension manager log anything? I would like to patch that!

#3 - 2009-06-12 11:45 - Martin Kutschker

eg line 2047 $GLOBALS['BE_USER']->writelog(5,1,0,0,'Extension list has been changed, extension %s has been
%s',array($extKey,($this->CMD['load']?'installed':'removed')));

Note that this is buggy this way because two different messages (installed and emoved) have the same msg no. So while you're at it you could start
with a bug fix that creates the new messages 5.1.1 and 5.1.2 for installing and removing as a starter. And please add the version number in the new
log message.

#4 - 2010-05-12 00:31 - Chris topher

@ Jonas: Still interested in providing a patch?

#5 - 2011-08-14 17:12 - Susanne Moog
- Status changed from Needs Feedback to New
- Target version changed from 0 to 4.7.0

2015-08-04 1/2



- Complexity set to medium

#6 - 2012-03-05 17:35 - Steffen Ritter
- Target version deleted (4.7.0)

#7 - 2013-05-08 10:26 - Alexander Opitz
- Status changed from New to Needs Feedback

As this report is very old, is the handling in newer TYPO3 CMS Versions (like 6.0/6.1) more like you expect it?

#8 - 2013-09-09 10:49 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback for over 90 days.

#9 - 2013-09-09 11:08 - Jonas Felix
- Status changed from Closed to New

This is still a needed request. It's still not solved.

#10 - 2014-07-25 23:05 - Susanne Moog
- Status changed from New to Accepted

#11 - 2015-01-08 15:03 - Mathias Schreiber
- Status changed from Accepted to Closed

Taken into account in #63909.
The issues are not linked on purpose, so the refactoring ticket does not get bloated with relations.

2015-08-04 2/2


